> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建 API Key

> 为当前组织创建新的用户 API Key。

## 概览

该接口会在当前管理令牌所属的组织下创建一个新的 `type=user` API Key。

## 请求体

| 字段              | 类型             | 默认值 / 限制                      | 说明                                                              |
| --------------- | -------------- | ----------------------------- | --------------------------------------------------------------- |
| `name`          | string         | 必填，默认 `Default Key`，长度 `1-50` | 展示名称，服务端会先 trim                                                 |
| `limitAmount`   | number \| null | 最小 `0`，输入上限 `1000000`         | `null` 或省略 = 不限额，`0` = 零额度，正数会被规范化为一个存储上限，且不能超过 `100000` USD 等值 |
| `limitCurrency` | enum           | 默认 `USD`                      | 仅支持 USD。发送 `CNY` 会返回 `400 currency_retired`。                    |
| `models`        | string\[]      | 默认 `[]`                       | 可选的模型白名单                                                        |
| `expiresAt`     | string \| null | RFC3339 datetime              | `null` 表示永不过期                                                   |

## 说明

* 响应中的完整 API Key 只会返回一次。
* `models: []` 表示该 Key 除组织级策略外没有额外模型限制。
* `limitAmount: 0` 会创建一个合法但无法消费额度的 Key，后续可再更新。

## 示例

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.tokenlab.sh/v1/management/api-keys" \
    -H "Authorization: Bearer mt-your-management-token" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Backend Worker",
      "limitAmount": 500,
      "models": ["veo3.1", "kling-3.0-video"],
      "expiresAt": "2026-12-31T23:59:59Z"
    }'
  ```
</RequestExample>

## 请求 / 响应

精确 schema 和响应字段请使用上方的交互式 OpenAPI 面板。

## Response example

<ResponseExample>
  ```json 201 Created theme={null}
  {
    "id": "key_abc123def456",
    "name": "Backend Worker",
    "key": "sk-live-redacted",
    "key_prefix": "sk-live...",
    "status": "active",
    "limit_amount": 500,
    "limit_amount_decimal": "500",
    "used_amount": 0,
    "used_amount_decimal": "0",
    "models": [
      "veo3.1",
      "kling-3.0-video"
    ],
    "expires_at": "2026-12-31T23:59:59.000Z",
    "last_used_at": null,
    "created_at": "2026-07-08T03:00:00.000Z"
  }
  ```
</ResponseExample>

## Important fields

<ResponseField name="key" type="string">Full secret API key value. It is returned only once on creation.</ResponseField>
<ResponseField name="id" type="string">API key identifier used in follow-up Management API calls.</ResponseField>
<ResponseField name="name" type="string">Display name for the API key.</ResponseField>
<ResponseField name="key_prefix" type="string">Non-secret key prefix for display and support.</ResponseField>
<ResponseField name="status" type="string">One of `active`, `inactive`, or `revoked`.</ResponseField>
<ResponseField name="limit_amount" type="number | null">Spending cap in USD as a JSON number for display. `null` means unlimited.</ResponseField>
<ResponseField name="limit_amount_decimal" type="string | null">Exact spending cap in USD as a decimal string. `null` means unlimited.</ResponseField>
<ResponseField name="used_amount" type="number">Accumulated usage in USD as a JSON number for display.</ResponseField>
<ResponseField name="used_amount_decimal" type="string">Exact accumulated usage in USD as a decimal string.</ResponseField>
<ResponseField name="models" type="string[]">Per-key model allowlist. Empty array means no additional key-level model restriction.</ResponseField>
<ResponseField name="expires_at" type="string | null">ISO timestamp when the key expires, or `null` for no expiry.</ResponseField>
<ResponseField name="last_used_at" type="string | null">ISO timestamp for the most recent use, or `null` when unused.</ResponseField>
<ResponseField name="created_at" type="string">ISO creation timestamp.</ResponseField>
